<template>
    <div>
      <b-form >
          <b-form-group
          label="Nome *"
          label-for="name_input"
        >
        <b-form-input
          id="name_input"
          type="text"
          required
          v-model="name"
          placeholder="Nome *"
        ></b-form-input>
      </b-form-group>
      </b-form>
      <b-button variant="outline-primary"  @click="addTodo">Adicionar</b-button>
  </div>
</template>

<script>
import { mapGetters, mapActions } from 'vuex'
import { v4 as uuidv4 } from 'uuid'

export default {
  name: 'Form',
  props: {
  },
  data () {
    return {
      name: ''
    }
  },
  computed: {
    ...mapGetters([])
  },
  methods: {
    ...mapActions(['addList']),
    addTodo () {
      this.addList({
        name: this.name,
        id: uuidv4()
      })
      this.name = ''
    }
  }
}
</script>

<style scoped>

</style>
